/*************************************************************
***  Explosive / Slime Barrel  ***
*************************************************************/
actor SFX_3D_ExplosiveBarrel_ : ExplosiveBarrel_ replaces ExplosiveBarrel//2035
{
	radius 18 height 40
	States
	{
	Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(160, "Barrel2", "Barrel3")
		goto Barrel1
	Barrel1:
		BAR1 LMNO 6
		goto Barrel1
	Barrel2:
		BAR2 LMNO 6
		goto Barrel2
	Barrel3:
		BAR3 LMNO 6
		goto Barrel3
	}
}
/* 
actor SFX_3D_ExplosiveBarrel_ : SFX_ExplosiveBarrel_ replaces ExplosiveBarrel//2035
{
	radius 18 height 40
	States
	{
	Spawn:
		BAR1 LMNO 6
		Loop
	}
}
*/ 
/*************************************************************
***  Candles  ***
*************************************************************/
actor SFX_3D_Candelabra_ : Candelabra_ replaces Candelabra //35
{
	radius 12 height 32
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
//		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 0, 12, 56, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0, SXF_ABSOLUTEPOSITION | SXF_ABSOLUTEANGLE)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 0.2, 10, 50, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 0.2, -11.5, 49.8, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		CBRA A 2 A_SpawnItemEx("YellowFire_xs", 0.2, -0.3, 53, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		Goto Spawn
		CBRA A 1
		Goto Spawn
	}
}
actor SFX_3D_Candlestick_ : Candlestick_ replaces Candlestick //34 //Kerze
{
	Scale 0.8
	radius 20
	height 14
	-SOLID
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(2)
		CAND A 2 A_SpawnItemEx("YellowFire_xs", 0, 0, 16, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		Goto Spawn
		CAND A 1
		Goto Spawn
	Death:
		Stop
	}
}
actor SFX_3D_HeadCandles_ : HeadCandles_ replaces HeadCandles //29
{
	radius 16
	height 42
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(3)
		POL3 A 2 A_SpawnItemEx("FlameFireYellow1", Random(-2, 2), Random(-2, 2), Random(40, 44), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		POL3 B 2 A_SpawnItemEx("FlameFireYellow2", Random(-2, 2), Random(-2, 2), Random(40, 44), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		POL3 A 1
		Goto Spawn
	}
}
/*************************************************************
***  Evil Eye  ***
*************************************************************/
actor SFX_3D_EvilEye_ : EvilEye_ replaces EvilEye //41
{
	radius 16
	height 54
	states
	{
		Spawn:
			CEYE ABCDEFGH 4 bright
			loop
	}
}
/*************************************************************
***  Blood small  ***
*************************************************************/
ACTOR SFX_3D_SmallBloodPool : SmallBloodPool replaces SmallBloodPool //80
{
	Game Doom
	SpawnID 148
	Radius 20 Height 1
	States
	{
	Spawn:
//		POB2 A -1
//		Stop
		TNT1 A 0 A_Jump(200, 2)
		BLOD A -1
		Stop
		TNT1 A 0 A_Jump(168, 2)
		BLOD B -1
		Stop
		TNT1 A 0 A_Jump(128, 2)
		BLOD C -1
		Stop
		BLOD D -1
		Stop
	}
}
/*************************************************************
***  Death Player Gibs 1	***
*************************************************************/
ACTOR SFX_3D_Gibs : RealGibs replaces Gibs//24
{
	Game Doom
	SpawnID 146
	ClearFlags
	States
	{
	Spawn:
		POL5 A -1
		Stop
	}
}
/*************************************************************
***  Death Player Gibs 2	***
*************************************************************/
ACTOR SFX_3D_ColonGibs replaces ColonGibs//79
{
	Game Doom
	SpawnID 147
	Radius 20
	Height 4
	States
	{
	Spawn:
		POB1 A -1
		Stop
	}
}
/*************************************************************
***  Death Player normal	***
*************************************************************/
actor SFX_3D_DeadMarine : DeadMarine replaces DeadMarine//15
{
	Game Doom
	States
	{
	Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(170, 2)
		PLAY A -1//N
		Stop
		TNT1 A 0 A_Jump(128, 2)
		PLAY B -1
		Stop
		PLAY C -1
		Stop
	}
}
/****************************************************************************************************
***   Decoration 2 (Blood)   ***
****************************************************************************************************/
//  ********************************************************
//  ***  Decorate: Wood Barrel with TNT (explosive)      ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR SFX_3D_Barrel_Wood_1 : Barrel_Wood_1 replaces Barrel_Wood_1 //6003
{
	States
	{
	Spawn:
		MISC D 1
		Loop
	}
}
//  ********************************************************
//  ***  Decorate: bottle                                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR SFX_3D_Bottle_3 : Bottle_3 replaces Bottle_3 //6013
{
	Scale 0.6
	Radius 5 Height 18
	States
	{
	Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(160, "Bottle2", "Bottle3")
		goto Bottle1
	Bottle1:
		MISC L 1
		Loop
	Bottle2:
		MISC M 1
		Loop
	Bottle3:
		MISC N 1
		Loop
	}
}
//  ********************************************************
//  ***  Decorate: bottle 2                              ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR SFX_3D_Bottle_2 : Bottle_2 replaces Bottle_2 //6011
{
	Scale 0.6
	Radius 5 Height 18
	States
	{
	Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(128, "Bottle2", "Bottle3", "Bottle3")
		goto Bottle1
	Bottle1:
		MISC L 1
		Loop
	Bottle2:
		MISC M 1
		Loop
	Bottle3:
		MISC N 1
		Loop
	Bottle4:
		MISC O 1
		Loop
	}
}
//  ********************************************************
//  ***  Decorate: bottle 3                              ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR SFX_3D_Bottle_1 : Bottle_1 replaces Bottle_1 //6010
{
	Scale 0.6
	Radius 5 Height 18
	States
	{
	Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(128, "Bottle2", "Bottle3", "Bottle3")
		goto Bottle1
	Bottle1:
		MISC L 1
		Loop
	Bottle2:
		MISC M 1
		Loop
	Bottle3:
		MISC N 1
		Loop
	Bottle4:
		MISC O 1
		Loop
	}
}
/***********************************************************************
***  Chandelier lighting  ***
*************************************************************/
actor SFX_3D_Decoration_11 : Decoration_11 replaces Decoration_11 //6310
{
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(8)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", -7.5, -30, 24, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 20, -24, 24, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 0, 31, 24, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 26, 18, 24, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", -26, 18, 24, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 31, 3.5, 24, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		BRA2 S 2 A_SpawnItemEx("YellowFire_xs", -31, 3.5, 24, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
//		BRA2 T 2
		Goto Spawn
		BRA2 S 1
		Goto Spawn
	}
}
/*************************************************************
***  Candelabra tall  ***
*************************************************************/
actor SFX_3D_Decoration_light_1: Decoration_light_1 replaces Decoration_light_1 //6200
{
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 0.2, 8.5, 65.5, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 0.2, -8.5, 65.5, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		BRA2 A 2 A_SpawnItemEx("YellowFire_xs", 0.2, -0.3, 64.5, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
//		BRA2 BCD 2 A_SpawnItemEx("YellowFire_xs", 0.2, -0.3, 53, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		Goto Spawn
		BRA2 A 1
		Goto Spawn
	}
}
/*************************************************************
***  Candelabra small 1  ***
*************************************************************/
actor SFX_3D_Decoration_light_2 : Decoration_light_2 replaces Decoration_light_2 //6201  //small
{
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 0.2, 9.5, 31.5, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 0.2, -9.5, 31.5, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		BRA2 E 2 A_SpawnItemEx("YellowFire_xs", 0.2, 0, 33.5, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
//		BRA2 FGH 2 A_SpawnItemEx("YellowFire_xs", 0.2, -0.3, 53, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		Goto Spawn
		BRA2 E 1
		Goto Spawn
	}
}
/*************************************************************
***  Candelabra small 2  ***
*************************************************************/
actor SFX_3D_Decoration_light_3 : Decoration_light_3 replaces Decoration_light_3 //6202  //small
{
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 0.2, 7.5, 31.5, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 0.2, -7.5, 31.5, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		BRA2 F 2 A_SpawnItemEx("YellowFire_xs", 0.2, 0, 33.5, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		Goto Spawn
		BRA2 F 1
		Goto Spawn
	}
}
/*************************************************************
***  Candelabra small 3  ***
*************************************************************/
actor SFX_3D_Decoration_light_4 : Decoration_light_4 replaces Decoration_light_4 //6203  //small
{
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 0.2, 5, 31.5, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		TNT1 A 0 A_SpawnItemEx("YellowFire_xs", 0.2, -5, 31.5, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		BRA2 G 2 A_SpawnItemEx("YellowFire_xs", 0.2, 0, 33.5, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
		Goto Spawn
		BRA2 G 1
		Goto Spawn
	}
}
/*************************************************************
***  CandleSkull  ***
*************************************************************/
actor SFX_3D_Decoration_light_5 : Decoration_light_5 replaces Decoration_light_5 //6204
{
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(2)
		BRA2 P 2 A_SpawnItemEx("YellowFire_xs", 0.2, 0, 12, 0.01 * Random(-5, 5), 0.01 * Random(-5, 5), 0.1 * Random(1, 3), 0)
//		BRA2 QR 1
		Goto Spawn
		BRA2 P 1
		Goto Spawn
	}
}
